summaryrefslogtreecommitdiffstats
path: root/target/device/Atmel/atngw100-expanded/target_skeleton/etc/init.d/S02hostname
diff options
context:
space:
mode:
authorJohn Voltz <john.voltz@gmail.com>2008-03-06 18:59:14 +0000
committerJohn Voltz <john.voltz@gmail.com>2008-03-06 18:59:14 +0000
commitceaf9e8217f29f6c499d03c62612b2eb50e8ed09 (patch)
treec0d1c53c52d050672de9c2fc656b760a2fbe5aa1 /target/device/Atmel/atngw100-expanded/target_skeleton/etc/init.d/S02hostname
parentc46893b7af0e6f0bbc072dc76cb979995ff654fc (diff)
downloadbuildroot-novena-ceaf9e8217f29f6c499d03c62612b2eb50e8ed09.tar.gz
buildroot-novena-ceaf9e8217f29f6c499d03c62612b2eb50e8ed09.zip
updates and additions for avr32 arch
Diffstat (limited to 'target/device/Atmel/atngw100-expanded/target_skeleton/etc/init.d/S02hostname')
-rwxr-xr-xtarget/device/Atmel/atngw100-expanded/target_skeleton/etc/init.d/S02hostname47
1 files changed, 47 insertions, 0 deletions
diff --git a/target/device/Atmel/atngw100-expanded/target_skeleton/etc/init.d/S02hostname b/target/device/Atmel/atngw100-expanded/target_skeleton/etc/init.d/S02hostname
new file mode 100755
index 000000000..083d41dc4
--- /dev/null
+++ b/target/device/Atmel/atngw100-expanded/target_skeleton/etc/init.d/S02hostname
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+PROGRAM=/bin/hostname
+
+echo -n "Setting hostname: "
+[ -x ${PROGRAM} ] || (echo "missing"; exit 0)
+
+if [ -f /etc/hostname ]; then
+ HOST="$(cat /etc/hostname)"
+else
+ HOST="localhost.localdomain"
+fi
+
+start() {
+ if ${PROGRAM} "${HOST}"; then
+ echo "'${HOST}'"
+ else
+ echo "failed"
+ exit 1
+ fi
+}
+
+stop() {
+ return 0
+}
+
+restart() {
+ stop
+ start
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart|reload)
+ restart
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|restart}"
+ exit 1
+esac
+
+exit $?